Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class AbstractTransformer

Direct Known Subclasses:
  DiagramTransformer, ExpertTransformer, LiteratureReferenceTransformer, DiagramTransformer, DiagramXMLTransformer, DatabaseEntryTransformer, TagEntryTransformer, XMLTransformer

public abstract class AbstractTransformer
implements Transformer

Transform data element of one type to other type. Implement Transformer interface for easy of use in derived classes.

See Also: TransformedDataCollection

Method Summary
`DataCollection` | `getPrimaryCollection()` Gets primary data collection connected with transformer.
`DataCollection` | `getTransformedCollection()` Gets transformed data collection connected with transformer.
`void` | `init(DataCollection primaryCollection, DataCollection transformedCollection)` Initialize transformer for support optional methods.
`boolean` | `isInputType(Class type)`
`boolean` | `isOutputType(Class type)`

Method Detail

### getPrimaryCollection

    public DataCollection getPrimaryCollection()

  Gets primary data collection connected with transformer.
  Returns: primary data collection.

### getTransformedCollection

    public DataCollection getTransformedCollection()

  Gets transformed data collection connected with transformer.
  Returns: transformed data collection.

### init

    public void init(DataCollection primaryCollection, DataCollection transformedCollection)

  Initialize transformer for support optional methods.
  See Also:
    getPrimaryCollection(), getTransformedCollection()

### isInputType

    public boolean isInputType(Class type)

### isOutputType

    public boolean isOutputType(Class type)

Association Links

to Class java.lang.String

to Class ru.biosoft.access.DataCollection

  Data collection of input data elements

to Class ru.biosoft.access.DataCollection

  Data collection of output data elements

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM